/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: flex;
  flex-flow: row wrap;
  align-items: center;
  justify-content: flex-end;
  line-height: 1.25;
  transition: background-color ease-in-out 100ms;
  padding: 0 0.2em;

  &:hover {
    background-color: $openk-background-highlight;
  }
}

.name {
  flex: 1 1 auto;
  display: inline-flex;
  align-items: center;
  background-color: inherit;
}

.name--label {
  display: inline-block;
  padding: 0.2em 0.4em 0.2em 0.25em;
  min-height: 1em;
  flex-shrink: 1 !important;
}

.name--label---line-through {
  text-decoration: line-through;
}

.name--label---fill {
  flex: 1;
}

.tag-toggle {
  --icon-scale-factor: 0.6;
  position: relative;
}

.tag-toggle---plus::after {
  content: "+";
  position: absolute;
  margin: auto;
  width: 100%;
  height: 100%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  color: get-color($openk-info-palette, 500, contrast);
}

.openk-button-rounded {
  font-size: 0.66em;
  border: 0;
  color: get-color($openk-info-palette);

  &:not(.openk-info) {
    background-color: transparent;
  }

  &:not(.openk-info):active,
  &:not(.openk-info):focus,
  &:not(.openk-info):hover {
    background-color: $openk-background-highlight;

  }
}

.openk-chip {
  margin: 0.1em 0.25em 0.1em 0;
}

